<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>contribute</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="brand.html">&lt;&lt; brand</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="div2.html">div2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a> &gt; contribute</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">contribute</h1>
    <p class="refpurpose">bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x,y:</span>
            <dd><p class="para">scilab variables</p></dd></dt>
        <dt><span class="term">str:</span>
            <dd><p class="para">string</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para"></p>
   <p class="para">bigint is a toolbox to make calculations with &#0034;big integers&#0034;: their size (number of digits) can be arbitrary long  no rounding errros would appear. The toolbox consists only in macros (no java/c/... sources files) and should not necessit compilations.
<ul class="itemizedlist"><li><p class="para">a new variable type &#0034;bigint&#0034; build as a mlist</p></li>
<li><p class="para">another variable type &#0034;mbigint&#0034; for matrix of bigint  &#0034;bigint&#0034; build as a mlist</p></li>
<li><p class="para">arithmetic (+,-,*,^,/,...)  and boolean (==,...) operations are defined for bigint and mbigint type</p></li>
<li><p class="para">overloading compatibility for arithmetic (+,-,*,^,/,...)  and boolean (==,...) operations with double/bigint/mbigint operation</p></li>
<li><p class="para">overloading basic scilab functions (as  size, sum, abs ...) isn&#0039;t achieved</p></li></ul>
this function is just a &#0034;function skeleton&#0034; to contribute to bigint toolbox :</p>
   <p class="para"><ul class="itemizedlist"><li><p class="para">open contribute.sci to see a &#0034;function skeleton&#0034; with online help written directly in the source code</p></li>
<li><p class="para">add your own macros to bigint/macros/ directory  as *.sci files</p></li>
<li><p class="para">add your own examples in the  *.sci files, source code of demonstrations files will be generated in bigint/demos/</p></li>
<li><p class="para">add unitary tests in bigint/tests/unit_tests/ directory  as *.tst files</p></li>
<li><p class="para">run bigint/builder.sce to update the toolbox</p></li>
<li><p class="para">at each scilab restart run bigint/loader.sce to to reload the toolbox (if macros runs  but online help isn&#0039;t loaded  there is probably a mistake in the help xml code)</p></li></ul>
Online help is divided in chapters
<ul class="itemizedlist"><li><p class="para">bigint : overloading of scilab binary/unary operators for bigint</p></li>
<li><p class="para">matrix_of_bigint : overloading of scilab binary/unary operators for mbigint</p></li>
<li><p class="para">extended_scilab_functions : extension of basic scilab function to bigint/mbigint (sum, size, abs ...)</p></li>
<li><p class="para">arithmetic : news scilab functions specific to bigint/mbigint</p></li></ul></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">contribute</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">// basic usage</span>
<span class="scilabid">contribute</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">example</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// how to use optional parameters</span>
<span class="scilabid">contribute</span><span class="scilabopenclose">(</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span>
<span class="scilabid">contribute</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">a</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">c</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<a class="scilabmacro" href="scilab://edit">edit</a><span class="scilabopenclose">(</span><a class="scilabmacro" href="scilab://fullfile">fullfile</a><span class="scilabopenclose">(</span><span class="scilabconstants">TMPDIR</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">contribute</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span> <span class="scilabcomment">//  see source code</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="brand.html">&lt;&lt; brand</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="div2.html">div2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
